%define upstream_name    Net-Frame
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    BSD loopback layer object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Class::Gomor) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::IPv6Addr)
BuildArch:  noarch

%description
*Net::Frame* is a fork of *Net::Packet*. The goal here was to greatly
simplify the use of the frame crafting framework. *Net::Packet* does many
things undercover, and it was difficult to document all the thingies.

Also, *Net::Packet* may suffer from unease of use, because frames were
assembled using layers stored in L2, L3, L4 and L7 attributes. *Net::Frame*
removes all this, and is splitted in different modules, for those who only
want to use part of the framework, and not whole framework.

Finally, anyone can create a layer, and put it on his CPAN space, because
of the modularity *Net::Frame* offers. For an example, see
*Net::Frame::Layer::ICMPv4* on my CPAN space.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-2.mga6
+ Revision: 1031071
- Rebuild for perl 5.22.2

* Thu Mar 17 2016 tv <tv> 1.160.0-1.mga6
+ Revision: 992564
- new release

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 848518
- update to 1.15

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-3.mga5
+ Revision: 748961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 685650
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 614912
- update to 1.11

* Thu Mar 13 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 602981
- update to 1.10

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513436
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.90.0-1.mga2
+ Revision: 213090
- update to 1.09

* Wed Jan 25 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 200937
- update to 1.08

* Tue Feb 22 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 56643
- update to 1.07

* Sun Jan 23 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 34004
- mageia rebuild
- imported package perl-Net-Frame


* Thu Jan 07 2010 Olivier Thauvin <nanardon@mandriva.org> 1.60.0-1mdv2010.1
+ Revision: 487174
- import perl-Net-Frame


* Thu Jan 07 2010 cpan2dist 1.06-1mdv
- initial mdv release, generated with cpan2dist
